### Function

# GLib Hook insert_sorted

#### Declaration [src]

    void
    g_hook_insert_sorted (
      GHookList* hook_list,
      GHook* hook,
      GHookCompareFunc func
    )

#### Description [src]

Inserts a `GHook` into a `GHookList`, sorted by the given function.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

`hook`

  Type: `GHook`

  The `GHook` to insert.

  The data is owned by the caller of the function.

`func`

  Type: `GHookCompareFunc`

  The comparison function used to sort the `GHook` elements.